# -*- coding: utf-8 -*-
import pygame as pg
from pygame.locals import *
import sys
import time
import datetime

cards=["******","******","******","******","******",     #予め調べたICカードのUIDを設定する
        "******","******","******","******","******"]
names=["コアラ","ライオン","イヌ","ネコ","ペンギン",
        "パンダ","トラ","ゾウ","ウサギ","リス"]
sw=[0,0,0,0,0,0,0,0,0,0]
#-----------Main Routine----------------------------------------------------
(w,h) = (1350,700)

pg.init()
pg.display.set_mode((w, h))
font = [
    pg.font.SysFont('msgothicmsuigothicmspgothic', 20),   # 自分のシステムフォントに設定する
    pg.font.SysFont('msgothicmsuigothicmspgothic', 40),
    pg.font.SysFont('msgothicmsuigothicmspgothic', 50)
]

icons=[pg.image.load("./my_animals/0_koala.png").convert_alpha(),
    pg.image.load("./my_animals/1_lion.png").convert_alpha(),
    pg.image.load("./my_animals/2_dog.png").convert_alpha(),
    pg.image.load("./my_animals/3_cat.png").convert_alpha(),
    pg.image.load("./my_animals/4_penguin.png").convert_alpha(),
    pg.image.load("./my_animals/5_panda.png").convert_alpha(),
    pg.image.load("./my_animals/6_tiger.png").convert_alpha(),
    pg.image.load("./my_animals/7_elephant.png").convert_alpha(),
    pg.image.load("./my_animals/8_rabbit.png").convert_alpha(),
    pg.image.load("./my_animals/9_squirrel.png").convert_alpha()]
#----------------------------------------------------------------  
# 設定
# pygameの初期化
pg.init()
screen = pg.display.get_surface()
def main():
    inputs=''
    na=''
    preinp=''
    ban=''
    num=-1
    st=''
    dtime=''
    while True:
        pg.time.wait(50)
        screen.fill((173,200,144))
        pg.draw.rect(screen,(255,255,255),(150,150,700,420),0)
        pg.draw.rect(screen,(0,0,255),(180,180,640,360),4)
        pg.draw.line(screen,(0,0,255),(180,250),(820,250),4)
        pg.draw.line(screen,(0,0,255),(180,320),(820,320),4)
        pg.draw.line(screen,(0,0,255),(180,390),(820,390),4)
        pg.draw.line(screen,(0,0,255),(180,460),(820,460),4)
        pg.draw.line(screen,(0,0,255),(320,180),(320,540),4)            
        label0=font[2].render('タイムカードをスキャンして下さい', True,(255,0,0))
        label6=font[2].render('株式会社　アニマルズ', True,(0,0,255))
        label1a=font[1].render("UID", True,(0,0,0))
        label2a=font[1].render("番号", True,(0,0,0))
        label3a=font[1].render("名前", True,(0,0,0))
        label4a=font[1].render("出退", True,(0,0,0))
        label5a=font[1].render("時刻", True,(0,0,0))
        label1b=font[1].render(preinp, True,(0,0,0))        
        label2b=font[1].render(ban, True,(0,0,0))
        label3b=font[1].render(na, True,(0,0,0))    
        label4b=font[1].render(st, True,(0,0,0))
        label5b=font[1].render(dtime, True,(0,0,0)) 
        screen.blit(label0,(100,50))
        screen.blit(label6,(250,600))
        screen.blit(label1a,(200,200))
        screen.blit(label2a,(200,270))
        screen.blit(label3a,(200,340))
        screen.blit(label4a,(200,410))
        screen.blit(label5a,(200,480))
        if num != -1: screen.blit(icons[num],(1000,250))
        screen.blit(label1b,(350,200))
        screen.blit(label2b,(350,270))
        screen.blit(label3b,(350,340))
        screen.blit(label4b,(350,410))
        screen.blit(label5b,(350,480))  
        pg.display.update()            
        for e in pg.event.get():
            # 終了ボタン
            if e.type == QUIT:
                pg.quit()
                sys.exit()
            if e.type == pg.KEYDOWN:
                if e.key == pg.K_RETURN:
                    num=-1;
                    msg=''
                    na=''
                    ban=''
                    for i in range(10):
                        if inputs[0:6]==cards[i]:
                            num=i
                    if num>=0:
                        now=datetime.datetime.now()
                        dtime='{0:%Y/%m/%d-%H:%M:%S}'.format(now)
                        if sw[num]==0: st="出社"
                        if sw[num]==1: st="退社"
                        sw[num]=1-sw[num]
                        ban=str(num)
                        na=names[num]
                        f=open("st_log.txt","a",encoding = "utf_8")
                        f.write(inputs+","+str(num)+","+na+","+st+","+dtime+"\n")
                        f.close()
                    preinp=inputs
                    inputs=''
                else :
                    inputs += e.unicode                   
if __name__ == "__main__":
    main()

